import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare const _default: DefineComponent<{
    csp: VueTypeValidableDef<{
        none: string;
    }>;
    autoInsertSpaceInButton: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    locale: VueTypeValidableDef<any>;
    renderEmpty: VueTypeValidableDef<(...args: any[]) => any> & {
        default: (...args: any[]) => any;
    } & {
        default: (...args: any[]) => any;
    };
}, {
    getProviderProps: ComputedRef<{
        renderEmpty?: ((...args: any[]) => any) | undefined;
        csp: {
            none: string;
        } | undefined;
        autoInsertSpaceInButton: boolean;
        locale: any;
    }>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    csp?: unknown;
    autoInsertSpaceInButton?: unknown;
    locale?: unknown;
    renderEmpty?: unknown;
} & {
    autoInsertSpaceInButton: boolean;
} & {
    renderEmpty?: ((...args: any[]) => any) | undefined;
    csp?: {
        none: string;
    } | undefined;
    locale?: any;
}>, {
    renderEmpty: (...args: any[]) => any;
    autoInsertSpaceInButton: boolean;
}>;
export default _default;
