import type { App } from 'vue';
import { useMessage } from './useMessage';
import { useContext } from './useContext';
import usePrefixCls from './usePrefixCls';
import { useQRCode } from './useQRCode';
import { useBarcode } from './useBarcode';
export { changeDayjsLocale } from './changeDayjsLocale';
export declare const hooks: {
    useMessage: typeof useMessage;
    useContext: typeof useContext;
    usePrefixCls: typeof usePrefixCls;
    useQRCode: typeof useQRCode;
    useBarcode: typeof useBarcode;
};
export default function (app: App): void;
