import type { Ref } from 'vue';
import { QRCodeToDataURLOptions } from 'qrcode';
import type { MaybeRef } from '../typings/global';
export declare const useQRCodeProps: Partial<QRCodeToDataURLOptions>;
/**
 * 生成二维码图片URL
 * @param text 内容
 * @param options 参数
 * @returns DataURL
 */
export declare function useQRCode(text: MaybeRef<string>, options?: QRCodeToDataURLOptions): Ref<string>;
