import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, Ref, ComputedRef, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties, Plugin } from 'vue';
import CountdownInput from './src/CountdownInput.vue';
export { CountdownInput };
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            control: string | number | boolean | unknown[] | {
                [key: string]: any;
            };
            count: number;
        }> & Omit<Readonly<{
            control?: unknown;
            count?: unknown;
            beforeStart?: unknown;
        } & {
            control: string | number | boolean | unknown[] | {
                [key: string]: any;
            };
            count: number;
        } & {
            beforeStart?: ((...args: any[]) => Promise<boolean>) | undefined;
        }> & VNodeProps & AllowedComponentProps & ComponentCustomProps, "control" | "count">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: string, ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            control?: unknown;
            count?: unknown;
            beforeStart?: unknown;
        } & {
            control: string | number | boolean | unknown[] | {
                [key: string]: any;
            };
            count: number;
        } & {
            beforeStart?: ((...args: any[]) => Promise<boolean>) | undefined;
        }>, {
            countRef: Ref<number>;
            isStarted: Ref<boolean>;
            getBtnTxt: ComputedRef<string>;
            loading: Ref<boolean>;
            handleClick: () => Promise<void>;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
            control: string | number | boolean | unknown[] | {
                [key: string]: any;
            };
            count: number;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        control?: unknown;
        count?: unknown;
        beforeStart?: unknown;
    } & {
        control: string | number | boolean | unknown[] | {
            [key: string]: any;
        };
        count: number;
    } & {
        beforeStart?: ((...args: any[]) => Promise<boolean>) | undefined;
    }> & ShallowUnwrapRef<{
        countRef: Ref<number>;
        isStarted: Ref<boolean>;
        getBtnTxt: ComputedRef<string>;
        loading: Ref<boolean>;
        handleClick: () => Promise<void>;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    control?: unknown;
    count?: unknown;
    beforeStart?: unknown;
} & {
    control: string | number | boolean | unknown[] | {
        [key: string]: any;
    };
    count: number;
} & {
    beforeStart?: ((...args: any[]) => Promise<boolean>) | undefined;
}>, {
    countRef: Ref<number>;
    isStarted: Ref<boolean>;
    getBtnTxt: ComputedRef<string>;
    loading: Ref<boolean>;
    handleClick: () => Promise<void>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
    control: string | number | boolean | unknown[] | {
        [key: string]: any;
    };
    count: number;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
