import type { Plugin } from '@vue/runtime-core';
import type { ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, ComputedRef, Ref, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties } from 'vue';
declare const _default: {
    new (...args: any[]): {
        $: ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            value: string[];
            showTime: boolean;
            startTime: string;
            endTime: string;
            showDefaultDateTime: boolean;
        }> & Omit<Readonly<{
            startTime?: unknown;
            endTime?: unknown;
            value?: unknown;
            showDefaultDateTime?: unknown;
            showTime?: unknown;
        } & {
            value: string[];
            showTime: boolean;
            startTime: string;
            endTime: string;
            showDefaultDateTime: boolean;
        } & {}> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onChange?: ((...args: any[]) => any) | undefined;
            "onUpdate:startTime"?: ((...args: any[]) => any) | undefined;
            "onUpdate:endTime"?: ((...args: any[]) => any) | undefined;
        } & VNodeProps & AllowedComponentProps & ComponentCustomProps, "value" | "showTime" | "startTime" | "endTime" | "showDefaultDateTime">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: Slot | undefined;
        }>;
        $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null;
        $emit: (event: "change" | "update:value" | "update:startTime" | "update:endTime", ...args: any[]) => void;
        $el: any;
        $options: ComponentOptionsBase<Readonly<{
            startTime?: unknown;
            endTime?: unknown;
            value?: unknown;
            showDefaultDateTime?: unknown;
            showTime?: unknown;
        } & {
            value: string[];
            showTime: boolean;
            startTime: string;
            endTime: string;
            showDefaultDateTime: boolean;
        } & {}> & {
            "onUpdate:value"?: ((...args: any[]) => any) | undefined;
            onChange?: ((...args: any[]) => any) | undefined;
            "onUpdate:startTime"?: ((...args: any[]) => any) | undefined;
            "onUpdate:endTime"?: ((...args: any[]) => any) | undefined;
        }, {
            dateFormat: ComputedRef<"YYYY-MM-DD HH:mm:ss" | "YYYY-MM-DD">;
            innerValue: Ref<[any, any]>;
            prefixCls: string;
            changeHandler: (dates: any) => void;
        }, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value" | "update:startTime" | "update:endTime")[], string, {
            value: string[];
            showTime: boolean;
            startTime: string;
            endTime: string;
            showDefaultDateTime: boolean;
        }> & {
            beforeCreate?: ((() => void) | (() => void)[]) | undefined;
            created?: ((() => void) | (() => void)[]) | undefined;
            beforeMount?: ((() => void) | (() => void)[]) | undefined;
            mounted?: ((() => void) | (() => void)[]) | undefined;
            beforeUpdate?: ((() => void) | (() => void)[]) | undefined;
            updated?: ((() => void) | (() => void)[]) | undefined;
            activated?: ((() => void) | (() => void)[]) | undefined;
            deactivated?: ((() => void) | (() => void)[]) | undefined;
            beforeDestroy?: ((() => void) | (() => void)[]) | undefined;
            beforeUnmount?: ((() => void) | (() => void)[]) | undefined;
            destroyed?: ((() => void) | (() => void)[]) | undefined;
            unmounted?: ((() => void) | (() => void)[]) | undefined;
            renderTracked?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            renderTriggered?: (((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[]) | undefined;
            errorCaptured?: (((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>> | null, info: string) => boolean | void)[]) | undefined;
        };
        $forceUpdate: () => void;
        $nextTick: typeof nextTick;
        $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
    } & Readonly<{
        startTime?: unknown;
        endTime?: unknown;
        value?: unknown;
        showDefaultDateTime?: unknown;
        showTime?: unknown;
    } & {
        value: string[];
        showTime: boolean;
        startTime: string;
        endTime: string;
        showDefaultDateTime: boolean;
    } & {}> & {
        "onUpdate:value"?: ((...args: any[]) => any) | undefined;
        onChange?: ((...args: any[]) => any) | undefined;
        "onUpdate:startTime"?: ((...args: any[]) => any) | undefined;
        "onUpdate:endTime"?: ((...args: any[]) => any) | undefined;
    } & ShallowUnwrapRef<{
        dateFormat: ComputedRef<"YYYY-MM-DD HH:mm:ss" | "YYYY-MM-DD">;
        innerValue: Ref<[any, any]>;
        prefixCls: string;
        changeHandler: (dates: any) => void;
    }> & {} & {} & ComponentCustomProperties;
    __isFragment?: undefined;
    __isTeleport?: undefined;
    __isSuspense?: undefined;
} & ComponentOptionsBase<Readonly<{
    startTime?: unknown;
    endTime?: unknown;
    value?: unknown;
    showDefaultDateTime?: unknown;
    showTime?: unknown;
} & {
    value: string[];
    showTime: boolean;
    startTime: string;
    endTime: string;
    showDefaultDateTime: boolean;
} & {}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:startTime"?: ((...args: any[]) => any) | undefined;
    "onUpdate:endTime"?: ((...args: any[]) => any) | undefined;
}, {
    dateFormat: ComputedRef<"YYYY-MM-DD HH:mm:ss" | "YYYY-MM-DD">;
    innerValue: Ref<[any, any]>;
    prefixCls: string;
    changeHandler: (dates: any) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value" | "update:startTime" | "update:endTime")[], "change" | "update:value" | "update:startTime" | "update:endTime", {
    value: string[];
    showTime: boolean;
    startTime: string;
    endTime: string;
    showDefaultDateTime: boolean;
}> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
export default _default;
