import type { Fn } from '../typings/global';
export interface DropMenuItem {
    onClick?: Fn;
    event: string | number;
    text: string;
    disabled?: boolean;
    divider?: boolean;
    popConfirm?: PopConfirm;
    [x: string]: any;
}
interface PopConfirm {
    title: string;
    okText?: string;
    cancelText?: string;
    confirm: Fn;
    cancel?: Fn;
    icon?: string;
    placement?: 'top' | 'left' | 'right' | 'bottom' | 'topLeft' | 'topRight' | 'leftTop' | 'leftBottom' | 'rightTop' | 'rightBottom' | 'bottomLeft' | 'bottomRight';
}
export {};
