import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import type { FormActionType, FormProps } from '../types/form';
import type { FormScheme } from '../types/form';
import { TableActionType } from '../../table';
import type { Recordable } from '../../typings/global';
declare const _default: DefineComponent<{
    scheme: VueTypeValidableDef<FormScheme> & {
        default: () => FormScheme;
    };
    formProps: VueTypeValidableDef<FormProps> & {
        default: () => FormProps;
    };
    allDefaultValues: VueTypeValidableDef<Recordable<any>> & {
        default: () => Recordable<any>;
    };
    formModel: VueTypeValidableDef<Recordable<any>> & {
        default: () => Recordable<any>;
    };
    setFormModel: VueTypeValidableDef<(key: string, value: any) => void> & {
        default: (key: string, value: any) => void;
    };
    tableAction: VueTypeValidableDef<TableActionType>;
    formActions: VueTypeValidableDef<FormActionType>;
    isAdvanced: VueTypeValidableDef<boolean> & {
        default: boolean;
    };
}, () => false | JSX.Element | null, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    scheme?: unknown;
    formProps?: unknown;
    allDefaultValues?: unknown;
    formModel?: unknown;
    setFormModel?: unknown;
    tableAction?: unknown;
    formActions?: unknown;
    isAdvanced?: unknown;
} & {
    scheme: FormScheme;
    formProps: FormProps;
    allDefaultValues: Recordable<any>;
    formModel: Recordable<any>;
    setFormModel: (key: string, value: any) => void;
    isAdvanced: boolean;
} & {
    tableAction?: TableActionType | undefined;
    formActions?: FormActionType | undefined;
}>, {
    scheme: FormScheme;
    formProps: FormProps;
    allDefaultValues: Recordable<any>;
    formModel: Recordable<any>;
    setFormModel: (key: string, value: any) => void;
    isAdvanced: boolean;
}>;
export default _default;
