import type { VueTypeValidableDef, VueTypeDef } from 'vue-types';
import type { DefineComponent, Ref, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import QRCode from 'qrcode';
import { LogoOpts } from './drawLogo';
declare const _default: DefineComponent<{
    text: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    options: VueTypeValidableDef<QRCode.QRCodeRenderersOptions> & {
        default: () => QRCode.QRCodeRenderersOptions;
    };
    tag: VueTypeDef<"canvas" | "img" | "svg"> & {
        default: "canvas" | "img" | "svg";
    };
    logo: VueTypeValidableDef<LogoOpts> & {
        default: () => LogoOpts;
    };
}, {
    qrCodeRef: Ref<HTMLCanvasElement | HTMLImageElement | SVGAElement | null>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, "created"[], "created", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    text?: unknown;
    options?: unknown;
    tag?: unknown;
    logo?: unknown;
} & {
    options: QRCode.QRCodeRenderersOptions;
    text: string;
    tag: "canvas" | "img" | "svg";
    logo: LogoOpts;
} & {}> & {
    onCreated?: ((...args: any[]) => any) | undefined;
}, {
    options: QRCode.QRCodeRenderersOptions;
    text: string;
    tag: "canvas" | "img" | "svg";
    logo: LogoOpts;
}>;
export default _default;
