import type { KeyboardEventHandler } from 'ant-design-vue/lib/_util/EventInterface';
import type { ButtonSize } from 'ant-design-vue/lib/button';
import type { ValueType } from 'ant-design-vue/lib/input-number/src/utils/MiniDecimal';
import type { Plugin } from '@vue/runtime-core';
import type { FetchParams } from '..';
import type { PaginationProps } from '../../pagination';
import type { DefineComponent, ComputedRef, Ref, ComponentInternalInstance, VNodeProps, AllowedComponentProps, ComponentCustomProps, Slot, ComponentPublicInstance, ComponentOptionsBase, ComponentOptionsMixin, DebuggerEvent, nextTick, WatchOptions, WatchStopHandle, ShallowUnwrapRef, ComponentCustomProperties, VNode, RendererNode, RendererElement, App } from 'vue';
declare const _sfc_main: DefineComponent<{
    afterSuffix: {
        type: StringConstructor;
        default: string;
    };
}, {
    getPaginationInfo: ComputedRef<any>;
    setPagination: (info: Partial<PaginationProps>) => void;
    reload: (opt?: FetchParams | undefined) => Promise<void>;
    pageSizeRef: Ref<number>;
    getTotal: ComputedRef<any>;
    handlePaginationChange: (current: number, pageSize: number) => void;
    handlePageSizeChange: () => void;
    Pagination: {
        new (...args: any[]): {
            $: ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                disabled: boolean;
                responsive: boolean;
                hideOnSinglePage: boolean;
                showSizeChanger: boolean;
                showLessItems: boolean;
                showQuickJumper: boolean | {
                    goButton?: any;
                };
                simple: boolean;
            }> & Omit<Readonly<{
                total?: unknown;
                defaultCurrent?: unknown;
                disabled?: unknown;
                current?: unknown;
                defaultPageSize?: unknown;
                pageSize?: unknown;
                hideOnSinglePage?: unknown;
                showSizeChanger?: unknown;
                pageSizeOptions?: unknown;
                buildOptionText?: unknown;
                showQuickJumper?: unknown;
                showTotal?: unknown;
                size?: unknown;
                simple?: unknown;
                locale?: unknown;
                prefixCls?: unknown;
                selectPrefixCls?: unknown;
                totalBoundaryShowSizeChanger?: unknown;
                selectComponentClass?: unknown;
                itemRender?: unknown;
                role?: unknown;
                responsive?: unknown;
                showLessItems?: unknown;
                onChange?: unknown;
                onShowSizeChange?: unknown;
                'onUpdate:current'?: unknown;
                'onUpdate:pageSize'?: unknown;
            } & {
                responsive: boolean;
                showQuickJumper: boolean | {
                    goButton?: any;
                };
            } & {
                size?: "small" | "default" | undefined;
                onChange?: ((page: number, pageSize: number) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                locale?: Record<string, any> | undefined;
                role?: string | undefined;
                itemRender?: ((opt: {
                    page: number;
                    type: "page" | "prev" | "next" | "jump-prev" | "jump-next";
                    originalElement: any;
                }) => any) | undefined;
                simple?: boolean | undefined;
                total?: number | undefined;
                defaultCurrent?: number | undefined;
                current?: number | undefined;
                defaultPageSize?: number | undefined;
                pageSize?: number | undefined;
                hideOnSinglePage?: boolean | undefined;
                showSizeChanger?: boolean | undefined;
                pageSizeOptions?: (string | number)[] | undefined;
                buildOptionText?: ((opt: {
                    value: any;
                }) => any) | undefined;
                showTotal?: ((total: number, range: [number, number]) => any) | undefined;
                selectPrefixCls?: string | undefined;
                totalBoundaryShowSizeChanger?: number | undefined;
                selectComponentClass?: string | undefined;
                showLessItems?: boolean | undefined;
                onShowSizeChange?: ((current: number, size: number) => void) | undefined;
                "onUpdate:current"?: ((current: number) => void) | undefined;
                "onUpdate:pageSize"?: ((size: number) => void) | undefined;
            }> & VNodeProps & AllowedComponentProps & ComponentCustomProps, "disabled" | "responsive" | "simple" | "hideOnSinglePage" | "showSizeChanger" | "showQuickJumper" | "showLessItems">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: Slot;
            }>;
            $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
            $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: ComponentOptionsBase<Readonly<{
                total?: unknown;
                defaultCurrent?: unknown;
                disabled?: unknown;
                current?: unknown;
                defaultPageSize?: unknown;
                pageSize?: unknown;
                hideOnSinglePage?: unknown;
                showSizeChanger?: unknown;
                pageSizeOptions?: unknown;
                buildOptionText?: unknown;
                showQuickJumper?: unknown;
                showTotal?: unknown;
                size?: unknown;
                simple?: unknown;
                locale?: unknown;
                prefixCls?: unknown;
                selectPrefixCls?: unknown;
                totalBoundaryShowSizeChanger?: unknown;
                selectComponentClass?: unknown;
                itemRender?: unknown;
                role?: unknown;
                responsive?: unknown;
                showLessItems?: unknown;
                onChange?: unknown;
                onShowSizeChange?: unknown;
                'onUpdate:current'?: unknown;
                'onUpdate:pageSize'?: unknown;
            } & {
                responsive: boolean;
                showQuickJumper: boolean | {
                    goButton?: any;
                };
            } & {
                size?: "small" | "default" | undefined;
                onChange?: ((page: number, pageSize: number) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                locale?: Record<string, any> | undefined;
                role?: string | undefined;
                itemRender?: ((opt: {
                    page: number;
                    type: "page" | "prev" | "next" | "jump-prev" | "jump-next";
                    originalElement: any;
                }) => any) | undefined;
                simple?: boolean | undefined;
                total?: number | undefined;
                defaultCurrent?: number | undefined;
                current?: number | undefined;
                defaultPageSize?: number | undefined;
                pageSize?: number | undefined;
                hideOnSinglePage?: boolean | undefined;
                showSizeChanger?: boolean | undefined;
                pageSizeOptions?: (string | number)[] | undefined;
                buildOptionText?: ((opt: {
                    value: any;
                }) => any) | undefined;
                showTotal?: ((total: number, range: [number, number]) => any) | undefined;
                selectPrefixCls?: string | undefined;
                totalBoundaryShowSizeChanger?: number | undefined;
                selectComponentClass?: string | undefined;
                showLessItems?: boolean | undefined;
                onShowSizeChange?: ((current: number, size: number) => void) | undefined;
                "onUpdate:current"?: ((current: number) => void) | undefined;
                "onUpdate:pageSize"?: ((size: number) => void) | undefined;
            }>, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
                disabled: boolean;
                responsive: boolean;
                hideOnSinglePage: boolean;
                showSizeChanger: boolean;
                showLessItems: boolean;
                showQuickJumper: boolean | {
                    goButton?: any;
                };
                simple: boolean;
            }> & {
                beforeCreate?: (() => void) | (() => void)[] | undefined;
                created?: (() => void) | (() => void)[] | undefined;
                beforeMount?: (() => void) | (() => void)[] | undefined;
                mounted?: (() => void) | (() => void)[] | undefined;
                beforeUpdate?: (() => void) | (() => void)[] | undefined;
                updated?: (() => void) | (() => void)[] | undefined;
                activated?: (() => void) | (() => void)[] | undefined;
                deactivated?: (() => void) | (() => void)[] | undefined;
                beforeDestroy?: (() => void) | (() => void)[] | undefined;
                beforeUnmount?: (() => void) | (() => void)[] | undefined;
                destroyed?: (() => void) | (() => void)[] | undefined;
                unmounted?: (() => void) | (() => void)[] | undefined;
                renderTracked?: ((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[] | undefined;
                renderTriggered?: ((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[] | undefined;
                errorCaptured?: ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[] | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof nextTick;
            $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
        } & Readonly<{
            total?: unknown;
            defaultCurrent?: unknown;
            disabled?: unknown;
            current?: unknown;
            defaultPageSize?: unknown;
            pageSize?: unknown;
            hideOnSinglePage?: unknown;
            showSizeChanger?: unknown;
            pageSizeOptions?: unknown;
            buildOptionText?: unknown;
            showQuickJumper?: unknown;
            showTotal?: unknown;
            size?: unknown;
            simple?: unknown;
            locale?: unknown;
            prefixCls?: unknown;
            selectPrefixCls?: unknown;
            totalBoundaryShowSizeChanger?: unknown;
            selectComponentClass?: unknown;
            itemRender?: unknown;
            role?: unknown;
            responsive?: unknown;
            showLessItems?: unknown;
            onChange?: unknown;
            onShowSizeChange?: unknown;
            'onUpdate:current'?: unknown;
            'onUpdate:pageSize'?: unknown;
        } & {
            responsive: boolean;
            showQuickJumper: boolean | {
                goButton?: any;
            };
        } & {
            size?: "small" | "default" | undefined;
            onChange?: ((page: number, pageSize: number) => void) | undefined;
            prefixCls?: string | undefined;
            disabled?: boolean | undefined;
            locale?: Record<string, any> | undefined;
            role?: string | undefined;
            itemRender?: ((opt: {
                page: number;
                type: "page" | "prev" | "next" | "jump-prev" | "jump-next";
                originalElement: any;
            }) => any) | undefined;
            simple?: boolean | undefined;
            total?: number | undefined;
            defaultCurrent?: number | undefined;
            current?: number | undefined;
            defaultPageSize?: number | undefined;
            pageSize?: number | undefined;
            hideOnSinglePage?: boolean | undefined;
            showSizeChanger?: boolean | undefined;
            pageSizeOptions?: (string | number)[] | undefined;
            buildOptionText?: ((opt: {
                value: any;
            }) => any) | undefined;
            showTotal?: ((total: number, range: [number, number]) => any) | undefined;
            selectPrefixCls?: string | undefined;
            totalBoundaryShowSizeChanger?: number | undefined;
            selectComponentClass?: string | undefined;
            showLessItems?: boolean | undefined;
            onShowSizeChange?: ((current: number, size: number) => void) | undefined;
            "onUpdate:current"?: ((current: number) => void) | undefined;
            "onUpdate:pageSize"?: ((size: number) => void) | undefined;
        }> & ShallowUnwrapRef<() => JSX.Element> & ComponentCustomProperties;
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & ComponentOptionsBase<Readonly<{
        total?: unknown;
        defaultCurrent?: unknown;
        disabled?: unknown;
        current?: unknown;
        defaultPageSize?: unknown;
        pageSize?: unknown;
        hideOnSinglePage?: unknown;
        showSizeChanger?: unknown;
        pageSizeOptions?: unknown;
        buildOptionText?: unknown;
        showQuickJumper?: unknown;
        showTotal?: unknown;
        size?: unknown;
        simple?: unknown;
        locale?: unknown;
        prefixCls?: unknown;
        selectPrefixCls?: unknown;
        totalBoundaryShowSizeChanger?: unknown;
        selectComponentClass?: unknown;
        itemRender?: unknown;
        role?: unknown;
        responsive?: unknown;
        showLessItems?: unknown;
        onChange?: unknown;
        onShowSizeChange?: unknown;
        'onUpdate:current'?: unknown;
        'onUpdate:pageSize'?: unknown;
    } & {
        responsive: boolean;
        showQuickJumper: boolean | {
            goButton?: any;
        };
    } & {
        size?: "small" | "default" | undefined;
        onChange?: ((page: number, pageSize: number) => void) | undefined;
        prefixCls?: string | undefined;
        disabled?: boolean | undefined;
        locale?: Record<string, any> | undefined;
        role?: string | undefined;
        itemRender?: ((opt: {
            page: number;
            type: "page" | "prev" | "next" | "jump-prev" | "jump-next";
            originalElement: any;
        }) => any) | undefined;
        simple?: boolean | undefined;
        total?: number | undefined;
        defaultCurrent?: number | undefined;
        current?: number | undefined;
        defaultPageSize?: number | undefined;
        pageSize?: number | undefined;
        hideOnSinglePage?: boolean | undefined;
        showSizeChanger?: boolean | undefined;
        pageSizeOptions?: (string | number)[] | undefined;
        buildOptionText?: ((opt: {
            value: any;
        }) => any) | undefined;
        showTotal?: ((total: number, range: [number, number]) => any) | undefined;
        selectPrefixCls?: string | undefined;
        totalBoundaryShowSizeChanger?: number | undefined;
        selectComponentClass?: string | undefined;
        showLessItems?: boolean | undefined;
        onShowSizeChange?: ((current: number, size: number) => void) | undefined;
        "onUpdate:current"?: ((current: number) => void) | undefined;
        "onUpdate:pageSize"?: ((size: number) => void) | undefined;
    }>, () => JSX.Element, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
        disabled: boolean;
        responsive: boolean;
        hideOnSinglePage: boolean;
        showSizeChanger: boolean;
        showLessItems: boolean;
        showQuickJumper: boolean | {
            goButton?: any;
        };
        simple: boolean;
    }> & VNodeProps & AllowedComponentProps & ComponentCustomProps & Plugin;
    InputNumber: {
        new (...args: any[]): {
            $: ComponentInternalInstance;
            $data: {};
            $props: Partial<{
                step: ValueType;
                bordered: boolean;
                keyboard: boolean;
                controls: boolean;
            }> & Omit<Readonly<{
                size?: unknown;
                bordered?: unknown;
                placeholder?: unknown;
                name?: unknown;
                id?: unknown;
                type?: unknown;
                addonBefore?: unknown;
                addonAfter?: unknown;
                prefix?: unknown;
                'update:value'?: unknown;
                valueModifiers?: unknown;
                stringMode?: unknown;
                defaultValue?: unknown;
                value?: unknown;
                prefixCls?: unknown;
                min?: unknown;
                max?: unknown;
                step?: unknown;
                tabindex?: unknown;
                controls?: unknown;
                readonly?: unknown;
                disabled?: unknown;
                autofocus?: unknown;
                keyboard?: unknown;
                parser?: unknown;
                formatter?: unknown;
                precision?: unknown;
                decimalSeparator?: unknown;
                onInput?: unknown;
                onChange?: unknown;
                onPressEnter?: unknown;
                onStep?: unknown;
                onBlur?: unknown;
                onFocus?: unknown;
            } & {
                bordered: boolean;
                keyboard: boolean;
                step: ValueType;
                controls: boolean;
            } & {
                size?: ButtonSize;
                onFocus?: ((e: FocusEvent) => void) | undefined;
                onBlur?: ((e: FocusEvent) => void) | undefined;
                onChange?: ((value: ValueType) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                value?: ValueType | undefined;
                tabindex?: number | undefined;
                defaultValue?: ValueType | undefined;
                placeholder?: string | undefined;
                autofocus?: boolean | undefined;
                id?: string | undefined;
                type?: string | undefined;
                "update:value"?: ((value: ValueType) => void) | undefined;
                name?: string | undefined;
                onInput?: ((text: string) => void) | undefined;
                readonly?: boolean | undefined;
                addonBefore?: any;
                addonAfter?: any;
                prefix?: any;
                onPressEnter?: KeyboardEventHandler | undefined;
                valueModifiers?: Record<string, any> | undefined;
                stringMode?: boolean | undefined;
                min?: ValueType | undefined;
                max?: ValueType | undefined;
                parser?: ((displayValue: string) => ValueType) | undefined;
                formatter?: ((value: ValueType, info: {
                    userTyping: boolean;
                    input: string;
                }) => string) | undefined;
                precision?: number | undefined;
                decimalSeparator?: string | undefined;
                onStep?: ((value: ValueType, info: {
                    offset: ValueType;
                    type: "down" | "up";
                }) => void) | undefined;
            }> & VNodeProps & AllowedComponentProps & ComponentCustomProps, "bordered" | "keyboard" | "step" | "controls">;
            $attrs: {
                [x: string]: unknown;
            };
            $refs: {
                [x: string]: unknown;
            };
            $slots: Readonly<{
                [name: string]: Slot;
            }>;
            $root: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
            $parent: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
            $emit: (event: string, ...args: any[]) => void;
            $el: any;
            $options: ComponentOptionsBase<Readonly<{
                size?: unknown;
                bordered?: unknown;
                placeholder?: unknown;
                name?: unknown;
                id?: unknown;
                type?: unknown;
                addonBefore?: unknown;
                addonAfter?: unknown;
                prefix?: unknown;
                'update:value'?: unknown;
                valueModifiers?: unknown;
                stringMode?: unknown;
                defaultValue?: unknown;
                value?: unknown;
                prefixCls?: unknown;
                min?: unknown;
                max?: unknown;
                step?: unknown;
                tabindex?: unknown;
                controls?: unknown;
                readonly?: unknown;
                disabled?: unknown;
                autofocus?: unknown;
                keyboard?: unknown;
                parser?: unknown;
                formatter?: unknown;
                precision?: unknown;
                decimalSeparator?: unknown;
                onInput?: unknown;
                onChange?: unknown;
                onPressEnter?: unknown;
                onStep?: unknown;
                onBlur?: unknown;
                onFocus?: unknown;
            } & {
                bordered: boolean;
                keyboard: boolean;
                step: ValueType;
                controls: boolean;
            } & {
                size?: ButtonSize;
                onFocus?: ((e: FocusEvent) => void) | undefined;
                onBlur?: ((e: FocusEvent) => void) | undefined;
                onChange?: ((value: ValueType) => void) | undefined;
                prefixCls?: string | undefined;
                disabled?: boolean | undefined;
                value?: ValueType | undefined;
                tabindex?: number | undefined;
                defaultValue?: ValueType | undefined;
                placeholder?: string | undefined;
                autofocus?: boolean | undefined;
                id?: string | undefined;
                type?: string | undefined;
                "update:value"?: ((value: ValueType) => void) | undefined;
                name?: string | undefined;
                onInput?: ((text: string) => void) | undefined;
                readonly?: boolean | undefined;
                addonBefore?: any;
                addonAfter?: any;
                prefix?: any;
                onPressEnter?: KeyboardEventHandler | undefined;
                valueModifiers?: Record<string, any> | undefined;
                stringMode?: boolean | undefined;
                min?: ValueType | undefined;
                max?: ValueType | undefined;
                parser?: ((displayValue: string) => ValueType) | undefined;
                formatter?: ((value: ValueType, info: {
                    userTyping: boolean;
                    input: string;
                }) => string) | undefined;
                precision?: number | undefined;
                decimalSeparator?: string | undefined;
                onStep?: ((value: ValueType, info: {
                    offset: ValueType;
                    type: "down" | "up";
                }) => void) | undefined;
            }>, () => VNode<RendererNode, RendererElement, {
                [key: string]: any;
            }>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
                step: ValueType;
                bordered: boolean;
                keyboard: boolean;
                controls: boolean;
            }> & {
                beforeCreate?: (() => void) | (() => void)[] | undefined;
                created?: (() => void) | (() => void)[] | undefined;
                beforeMount?: (() => void) | (() => void)[] | undefined;
                mounted?: (() => void) | (() => void)[] | undefined;
                beforeUpdate?: (() => void) | (() => void)[] | undefined;
                updated?: (() => void) | (() => void)[] | undefined;
                activated?: (() => void) | (() => void)[] | undefined;
                deactivated?: (() => void) | (() => void)[] | undefined;
                beforeDestroy?: (() => void) | (() => void)[] | undefined;
                beforeUnmount?: (() => void) | (() => void)[] | undefined;
                destroyed?: (() => void) | (() => void)[] | undefined;
                unmounted?: (() => void) | (() => void)[] | undefined;
                renderTracked?: ((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[] | undefined;
                renderTriggered?: ((e: DebuggerEvent) => void) | ((e: DebuggerEvent) => void)[] | undefined;
                errorCaptured?: ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[] | undefined;
            };
            $forceUpdate: () => void;
            $nextTick: typeof nextTick;
            $watch(source: string | Function, cb: Function, options?: WatchOptions<boolean> | undefined): WatchStopHandle;
        } & Readonly<{
            size?: unknown;
            bordered?: unknown;
            placeholder?: unknown;
            name?: unknown;
            id?: unknown;
            type?: unknown;
            addonBefore?: unknown;
            addonAfter?: unknown;
            prefix?: unknown;
            'update:value'?: unknown;
            valueModifiers?: unknown;
            stringMode?: unknown;
            defaultValue?: unknown;
            value?: unknown;
            prefixCls?: unknown;
            min?: unknown;
            max?: unknown;
            step?: unknown;
            tabindex?: unknown;
            controls?: unknown;
            readonly?: unknown;
            disabled?: unknown;
            autofocus?: unknown;
            keyboard?: unknown;
            parser?: unknown;
            formatter?: unknown;
            precision?: unknown;
            decimalSeparator?: unknown;
            onInput?: unknown;
            onChange?: unknown;
            onPressEnter?: unknown;
            onStep?: unknown;
            onBlur?: unknown;
            onFocus?: unknown;
        } & {
            bordered: boolean;
            keyboard: boolean;
            step: ValueType;
            controls: boolean;
        } & {
            size?: ButtonSize;
            onFocus?: ((e: FocusEvent) => void) | undefined;
            onBlur?: ((e: FocusEvent) => void) | undefined;
            onChange?: ((value: ValueType) => void) | undefined;
            prefixCls?: string | undefined;
            disabled?: boolean | undefined;
            value?: ValueType | undefined;
            tabindex?: number | undefined;
            defaultValue?: ValueType | undefined;
            placeholder?: string | undefined;
            autofocus?: boolean | undefined;
            id?: string | undefined;
            type?: string | undefined;
            "update:value"?: ((value: ValueType) => void) | undefined;
            name?: string | undefined;
            onInput?: ((text: string) => void) | undefined;
            readonly?: boolean | undefined;
            addonBefore?: any;
            addonAfter?: any;
            prefix?: any;
            onPressEnter?: KeyboardEventHandler | undefined;
            valueModifiers?: Record<string, any> | undefined;
            stringMode?: boolean | undefined;
            min?: ValueType | undefined;
            max?: ValueType | undefined;
            parser?: ((displayValue: string) => ValueType) | undefined;
            formatter?: ((value: ValueType, info: {
                userTyping: boolean;
                input: string;
            }) => string) | undefined;
            precision?: number | undefined;
            decimalSeparator?: string | undefined;
            onStep?: ((value: ValueType, info: {
                offset: ValueType;
                type: "down" | "up";
            }) => void) | undefined;
        }> & ShallowUnwrapRef<() => VNode<RendererNode, RendererElement, {
            [key: string]: any;
        }>> & ComponentCustomProperties;
        __isFragment?: undefined;
        __isTeleport?: undefined;
        __isSuspense?: undefined;
    } & ComponentOptionsBase<Readonly<{
        size?: unknown;
        bordered?: unknown;
        placeholder?: unknown;
        name?: unknown;
        id?: unknown;
        type?: unknown;
        addonBefore?: unknown;
        addonAfter?: unknown;
        prefix?: unknown;
        'update:value'?: unknown;
        valueModifiers?: unknown;
        stringMode?: unknown;
        defaultValue?: unknown;
        value?: unknown;
        prefixCls?: unknown;
        min?: unknown;
        max?: unknown;
        step?: unknown;
        tabindex?: unknown;
        controls?: unknown;
        readonly?: unknown;
        disabled?: unknown;
        autofocus?: unknown;
        keyboard?: unknown;
        parser?: unknown;
        formatter?: unknown;
        precision?: unknown;
        decimalSeparator?: unknown;
        onInput?: unknown;
        onChange?: unknown;
        onPressEnter?: unknown;
        onStep?: unknown;
        onBlur?: unknown;
        onFocus?: unknown;
    } & {
        bordered: boolean;
        keyboard: boolean;
        step: ValueType;
        controls: boolean;
    } & {
        size?: ButtonSize;
        onFocus?: ((e: FocusEvent) => void) | undefined;
        onBlur?: ((e: FocusEvent) => void) | undefined;
        onChange?: ((value: ValueType) => void) | undefined;
        prefixCls?: string | undefined;
        disabled?: boolean | undefined;
        value?: ValueType | undefined;
        tabindex?: number | undefined;
        defaultValue?: ValueType | undefined;
        placeholder?: string | undefined;
        autofocus?: boolean | undefined;
        id?: string | undefined;
        type?: string | undefined;
        "update:value"?: ((value: ValueType) => void) | undefined;
        name?: string | undefined;
        onInput?: ((text: string) => void) | undefined;
        readonly?: boolean | undefined;
        addonBefore?: any;
        addonAfter?: any;
        prefix?: any;
        onPressEnter?: KeyboardEventHandler | undefined;
        valueModifiers?: Record<string, any> | undefined;
        stringMode?: boolean | undefined;
        min?: ValueType | undefined;
        max?: ValueType | undefined;
        parser?: ((displayValue: string) => ValueType) | undefined;
        formatter?: ((value: ValueType, info: {
            userTyping: boolean;
            input: string;
        }) => string) | undefined;
        precision?: number | undefined;
        decimalSeparator?: string | undefined;
        onStep?: ((value: ValueType, info: {
            offset: ValueType;
            type: "down" | "up";
        }) => void) | undefined;
    }>, () => VNode<RendererNode, RendererElement, {
        [key: string]: any;
    }>, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, {
        step: ValueType;
        bordered: boolean;
        keyboard: boolean;
        controls: boolean;
    }> & VNodeProps & AllowedComponentProps & ComponentCustomProps & {
        install: (app: App<any>) => App<any>;
    };
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    afterSuffix?: unknown;
} & {
    afterSuffix: string;
} & {}>, {
    afterSuffix: string;
}>;
export default _sfc_main;
