import type { Recordable } from '../../typings/global';
import type { DefineComponent, Ref, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare const _default: DefineComponent<{
    scrollX: {
        type: (BooleanConstructor | StringConstructor | NumberConstructor)[];
    };
}, {
    isVisible: Ref<boolean>;
    leftIsDisabled: Ref<boolean>;
    rightIsDisabled: Ref<boolean>;
    handleBtnClick: (direction: 'left' | 'right') => void;
    handleMouseup: () => void;
    handleMousedown: (direction: 'left' | 'right') => void;
    getBindValues: ComputedRef<Recordable<any>>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    scrollX?: unknown;
} & {} & {
    scrollX?: string | number | boolean | undefined;
}>, {}>;
export default _default;
