import type { DefineComponent, WritableComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, PropType } from 'vue';
import type { TopTabPane } from '../types/tableTabs';
declare const _default: DefineComponent<{
    tabs: {
        type: PropType<TopTabPane[]>;
        default: () => never[];
    };
    value: {
        type: (StringConstructor | NumberConstructor)[];
        default: string;
    };
}, {
    innerActivedKey: WritableComputedRef<string | number>;
    handleTabClick: (activeKey: string | number) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:value" | "tab-click")[], "update:value" | "tab-click", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    tabs?: unknown;
    value?: unknown;
} & {
    value: string | number;
    tabs: TopTabPane[];
} & {}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    "onTab-click"?: ((...args: any[]) => any) | undefined;
}, {
    value: string | number;
    tabs: TopTabPane[];
}>;
export default _default;
