import type { Ref, ComputedRef } from 'vue';
import type { TableProps } from '../types/table';
import type { ColumnPropsEx } from '../types/column';
/**
 * 表格拖动滚动hooks
 */
export declare function useDragScroll(tableElRef: Ref<any>, propsRef: ComputedRef<TableProps>, columns: ComputedRef<ColumnPropsEx[]>): {
    scrollLeft: Ref<number>;
    handleMoveStart: (e: MouseEvent) => void;
};
