import { SorterResult } from '../types/table';
import type { Recordable } from '../../typings/global';
export declare const ROW_KEY = "key";
export declare const FETCH_SETTING: {
    pageField: string;
    sizeField: string;
    listField: string;
    totalField: string;
};
export declare const DEFAULT_SIZE = "default";
export declare const DEFAULT_SORT_FN: (sortInfo: SorterResult) => {
    field: string;
    order: "ascend" | "descend";
} | {
    field?: undefined;
    order?: undefined;
};
export declare const DEFAULT_FILTER_FN: (data: Recordable<string[]>) => Recordable<string[]>;
export declare const DEFAULT_ALIGN = "left";
export declare const INDEX_COLUMN_FLAG = "INDEX";
export declare const ACTION_COLUMN_FLAG = "ACTION";
export declare const SETTING_COLUMN_INDEX = "SETTING";
