/**
 * 函数防抖，限制函数的执行频率
 * @param fn 函数
 * @param wait 延迟ms
 * @param immediate 里否立即执行
 * @returns
 */
export default function <T extends (...args: any) => any>(fn: T, wait?: number, immediate?: boolean): (this: any, ...args: any[]) => void;
