import type { Ref } from 'vue';
import { Options } from 'jsbarcode';
import type { MaybeRef } from '../typings/global';
export declare const useBarcodeProps: Partial<Options>;
/**
 * 生成条形码
 * @param text 内容
 * @param options jsbarcode参数
 */
export declare function useBarcode(text: MaybeRef<string>, options?: Options): Ref<string>;
