import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComputedRef, Ref, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare const _default: DefineComponent<{
    startTime: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    endTime: VueTypeValidableDef<string> & {
        default: string;
    } & {
        default: string;
    };
    value: VueTypeValidableDef<string[]> & {
        default: () => string[];
    };
    showDefaultDateTime: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    showTime: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
}, {
    dateFormat: ComputedRef<"YYYY-MM-DD HH:mm:ss" | "YYYY-MM-DD">;
    innerValue: Ref<[any, any]>;
    prefixCls: string;
    changeHandler: (dates: any) => void;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("change" | "update:value" | "update:startTime" | "update:endTime")[], "change" | "update:value" | "update:startTime" | "update:endTime", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    startTime?: unknown;
    endTime?: unknown;
    value?: unknown;
    showDefaultDateTime?: unknown;
    showTime?: unknown;
} & {
    value: string[];
    showTime: boolean;
    startTime: string;
    endTime: string;
    showDefaultDateTime: boolean;
} & {}> & {
    "onUpdate:value"?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    "onUpdate:startTime"?: ((...args: any[]) => any) | undefined;
    "onUpdate:endTime"?: ((...args: any[]) => any) | undefined;
}, {
    value: string[];
    showTime: boolean;
    startTime: string;
    endTime: string;
    showDefaultDateTime: boolean;
}>;
export default _default;
