import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
declare type DescItem = {
    value: any;
    label: string;
    slot?: string;
    props?: Record<string, any>;
};
declare const _default: DefineComponent<{
    items: VueTypeValidableDef<DescItem[]> & {
        default: () => DescItem[];
    };
    bordered: VueTypeValidableDef<boolean> & {
        default: boolean;
    } & {
        default: boolean;
    };
    title: VueTypeValidableDef<string>;
    column: VueTypeValidableDef<number> & {
        default: number;
    } & {
        default: number;
    };
}, {
    getDescSlots: string[];
    prefixCls: string;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    items?: unknown;
    bordered?: unknown;
    title?: unknown;
    column?: unknown;
} & {
    bordered: boolean;
    column: number;
    items: DescItem[];
} & {
    title?: string | undefined;
}>, {
    bordered: boolean;
    column: number;
    items: DescItem[];
}>;
export default _default;
