import type { DefineComponent, WritableComputedRef, Ref, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import type { FormInstance } from 'ant-design-vue';
declare const _default: DefineComponent<{
    visible: {
        type: BooleanConstructor;
        default: boolean;
    };
    confirmLoading: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    innerVisible: WritableComputedRef<boolean>;
    formState: {
        solutionName: string;
    };
    handleOk: () => void;
    formRef: Ref<FormInstance | undefined>;
    handleClose: () => void;
    t: (key: string, ...args: any[]) => any;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, ("update:visible" | "ok")[], "update:visible" | "ok", VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    visible?: unknown;
    confirmLoading?: unknown;
} & {
    visible: boolean;
    confirmLoading: boolean;
} & {}> & {
    "onUpdate:visible"?: ((...args: any[]) => any) | undefined;
    onOk?: ((...args: any[]) => any) | undefined;
}, {
    visible: boolean;
    confirmLoading: boolean;
}>;
export default _default;
