import type { ComputedRef, Ref } from 'vue';
import type { FormScheme, FormActionType, FormProps } from '../types/form';
interface UseAutoFocusContext {
    getSchemes: ComputedRef<FormScheme[]>;
    getProps: ComputedRef<FormProps>;
    isInitedDefault: Ref<boolean>;
    formElRef: Ref<FormActionType | null>;
}
export declare function useAutoFocus({ getSchemes, getProps, formElRef, isInitedDefault, }: UseAutoFocusContext): Promise<void>;
export {};
