import type { FormProps, UseFormReturnType } from '../types/form';
import type { NamePath } from 'ant-design-vue/lib/form/interface';
import { DynamicProps } from '../../utils/dynamic-props';
import type { Recordable } from '../../typings/global';
export declare type ValidateFields = (nameList?: NamePath[]) => Promise<Recordable>;
declare type Props = Partial<DynamicProps<FormProps>>;
export declare function useForm(props?: Props): UseFormReturnType;
export {};
