import type { DefineComponent, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps, PropType } from 'vue';
declare type ImageProps = {
    alt?: string;
    fallback?: string;
    width?: string | number;
    height?: string | number;
    placeholder?: string;
    src: string;
    size?: 'small' | 'default';
};
declare type ImageItem = string | ImageProps;
declare const _default: DefineComponent<{
    imgList: {
        type: PropType<ImageItem[]>;
    };
}, {
    prefixCls: string;
    getImgList: ComputedRef<({
        width: number;
    } & ImageProps)[]>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    imgList?: unknown;
} & {} & {
    imgList?: ImageItem[] | undefined;
}>, {}>;
export default _default;
