import type { ButtonShape } from 'ant-design-vue/es/button';
import type { ButtonHTMLType } from 'ant-design-vue/es/button/buttonTypes';
import type { VueTypeValidableDef } from 'vue-types';
import type { DefineComponent, ComputedRef, ComponentOptionsMixin, VNodeProps, AllowedComponentProps, ComponentCustomProps } from 'vue';
import type { PopConfirm, ActionItem, TitleActionItem } from '../../table/types/tableAction';
declare const _default: DefineComponent<{
    actions: VueTypeValidableDef<TitleActionItem[]> & {
        default: () => TitleActionItem[];
    };
}, {
    getActions: ComputedRef<{
        onConfirm: ((...args: any[]) => any) | undefined;
        onCancel: ((...args: any[]) => any) | undefined;
        onClick: () => void;
        enable: boolean;
        title?: string | undefined;
        okText?: string | undefined;
        cancelText?: string | undefined;
        confirm?: ((...args: any[]) => any) | undefined;
        cancel?: ((...args: any[]) => any) | undefined;
        icon?: string | undefined;
        placement?: "bottomLeft" | "bottomRight" | "topLeft" | "topRight" | "top" | "left" | "right" | "bottom" | "leftTop" | "leftBottom" | "rightTop" | "rightBottom" | undefined;
        size: string;
        onMousedown?: ((event: MouseEvent) => void) | undefined;
        prefixCls?: string | undefined;
        disabled?: boolean | undefined;
        loading?: boolean | {
            delay?: number | undefined;
        } | undefined;
        type: string;
        label?: string | undefined;
        htmlType?: ButtonHTMLType | undefined;
        shape?: ButtonShape | undefined;
        ghost: boolean;
        block?: boolean | undefined;
        danger?: boolean | undefined;
        href?: string | undefined;
        target?: string | undefined;
        popConfirm?: PopConfirm | undefined;
        ifShow?: boolean | ((action: ActionItem) => boolean) | undefined;
    }[]>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, Record<string, any>, string, VNodeProps & AllowedComponentProps & ComponentCustomProps, Readonly<{
    actions?: unknown;
} & {
    actions: TitleActionItem[];
} & {}>, {
    actions: TitleActionItem[];
}>;
export default _default;
