import type { ComputedRef, Ref } from 'vue';
import type { TableRowSelection } from 'ant-design-vue/lib/table/interface';
import type { TableProps } from '../types/table';
import type { Recordable } from '../../typings/global';
declare type Key = string | number;
export declare function useRowSelection(propsRef: ComputedRef<TableProps>, tableData: Ref<Recordable[]>, emit: (event: any, ...args: any[]) => void, isVirtual: Ref<boolean>, virtualDataKeys: Ref<Key[]>): {
    getRowSelectionRef: ComputedRef<TableRowSelection<any> | null>;
    setSelectedRowKeys: (rowKeys: Key[]) => void;
    getSelectRows: <T = Recordable<any>>() => T[];
    getSelectRowKeys: () => Key[];
    clearSelectedRowKeys: () => void;
    deleteSelectRowByKey: (key: string | number) => void;
    getRowSelection: () => TableRowSelection<any> | null;
};
export {};
