import type { Ref, ComputedRef } from 'vue';
import type { TableProps } from '../types/table';
import { PaginationProps } from '../../pagination';
declare type ComponentRef<T extends HTMLElement = HTMLDivElement> = {
    $el: T;
} | null;
export declare function useTableSticky(props: ComputedRef<TableProps>, tableElRef: Ref<ComponentRef>, setProps: (props: Partial<TableProps>) => void, getPaginationInfo: ComputedRef<PaginationProps | false>): void;
export {};
